Bug 6623 - Nicer style for "clear screen" button
Summary: Nicer style for "clear screen" button
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-22 14:19 UTC by Owen Leonard
Modified: 2012-10-25 23:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of the proposed revised interface (5.94 KB, image/png)
2011-07-22 14:19 UTC, Owen Leonard
Details
Proposed fix (2.75 KB, patch)
2011-07-22 14:28 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-07-22 14:19:52 UTC
Created attachment 4719 [details]
Screenshot of the proposed revised interface

If the DisplayClearScreenButton preference is turned on, show a nicely-styled link instead of the standard button.

Tested on Windows 7 in Chrome 12, Firefox 5, Safari 5, and IE 8.
Comment 1 Owen Leonard 2011-07-22 14:28:01 UTC
Created attachment 4720 [details] [review]
Proposed fix
Comment 2 Chris Cormack 2011-07-27 23:04:16 UTC
CSS and HTML change, pushed
Comment 3 Ian Walls 2011-08-05 15:42:24 UTC
Experience of deploying this change to production servers has shown that many librarians are shocked and dismayed by the sudden change.  I would recommend avoiding backporting this patch to 3.4.x, and instead saving it for 3.6, as it seems to require a small level of retraining. I defer, however, to the Release Maintainer's judgement.
Comment 4 Paul Poulain 2011-08-05 15:58:06 UTC
ian comment +1 (and anyway, it's noted as an ENH, so should not be in 3.4.x)